Subject: missing/inconsistent IKEv2 type allocation policies

From: Nicolas Williams <[email-masked]>
Date: Wed, 15 Oct 2003 07:30:16 -0700

The allocation policies set forth for ID and CERT encoding types are
either incomplete or inconsistent with those of other IKEv2 types.

For CERT encoding types a large chunk of the namespace is marked
"RESERVED," which I take to mean "to be allocated through IETF action
(e.g., Standards Track RFCs)."  But this is not spelled out anywhere,
and anyways, it's inconsistent with the AUTH method type allocation
policy which does specify an IANA allocation policy.

As for ID types, the unused space of types is not even marked RESERVED.

Nico
--